<?php 
	
  /*  Projet webServerFull
   *   Olivier Hondermarck	  
   *   ToutJavaScript.com
   *	  
   */
	  	
	
	
  include "phpHardwareInfo.php";
  $hardwareInfo = new phpHardwareInfo;
  
  $RAM=$hardwareInfo->getInfoRAM();
?>
<!doctype html>
<html>
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=utf8">
		<meta name="viewport" content="width=device-width, initial-scale=1">
		<title>It works ! Votre environnement de développement local webServerFull tourne !</title>
		<meta name="author" content="ToutJavaScript.com" />
		<link rel="stylesheet" href="style.css">
		<script type="text/javascript">
		function showModules() {
			if (document.getElementById("modules").style.display=="block") {
				document.getElementById("modules").style.display="none";
			} else {
				document.getElementById("modules").style.display="block";
			}
		}			
		</script>

	</head>
	<body>
		<h1>Votre environnement de développement local <i>webServerFull</i> sous Docker est lancé</h1>
		
		
		
		<div id="docker">
			<img src="media/docker.png" class="logo">
			<h2>Docker est configuré avec les ressources allouées*</h2>
			<div class="clearMobile"></div>
			<div class="flex">
				<div class="ressource">
					<?php print($hardwareInfo->getLogoCPU()); ?>
					<h3>
						<?php print("<span class='big'>".$hardwareInfo->getNbCPU()."</span> . vCPU <br><br> <b>".$hardwareInfo->getCPU()."</b>"); ?>
					</h3>
				</div>
				<div class="flex2">
					<div class="ressource">
						<h3>
							<?php print("RAM<br><span class='big'>".$RAM["MemTotal"]."</span>"); ?><p class="free">
							<div class="pct"><div class="pctUsed" style="width:<?php print(100-$RAM["MemFreePct"]); ?>%;"></div></div>
							<?php print($RAM["MemFreePct"]); ?>% free</p>
						</h3>					
					</div>
					<div class="ressource">
						<h3>
							<?php print("Swap<br><span class='big'>".$RAM["SwapTotal"]."</span>"); ?><p class="free">
							<div class="pct"><div class="pctUsed" style="width:<?php print(100-$RAM["SwapFreePct"]); ?>%;"></div></div>
							<?php print($RAM["SwapFreePct"]); ?>% free</p>
						</h3>					
					</div>
				</div>
			</div>
			<div class="dedie">* Ressources allouées pour tous les containers Docker de votre poste de travail</div>
			<div class="clear"></div>
		</div>

		
		<div class="flex">
			<div class="module">
				<h2>Serveur web <img src="media/ok.png" class="icon"></h2>
				<p><span class="libelle">OS :</span> <?php echo $hardwareInfo->getOS(); ?></p>
				<p><span class="libelle">Serveur web :</span> <?php echo apache_get_version(); ?></p>
				<p><span class="libelle">Version PHP :</span> <?php echo phpversion(); ?> | <a href="javascript:showModules()">Modules</a> | <a href="phpinfo.php" target="_blank">phpinfo()</a></p>
				<a name="modules"></a>
				<div id="modules">
					<b>Liste des modules</b>
					<ul><?php
						$modules=apache_get_modules(); 
						sort($modules);
						for ($i=0; $i<sizeof($modules); $i++) {
							print("<li>".$modules[$i]."</li>");
						}
					?>
					</ul>
				</div>
				<p><span class="libelle">Uptime :</span> <?php echo $hardwareInfo->getUptime(); ?></p>
			</div>
	
	
			<div class="module">
			<?php
				$mysql = @mysqli_connect('db', 'userDB', 'p4ssWOrD', 'myDB', 3306);
				if (mysqli_connect_errno()) {
					print("<h2>Serveur SQL <img src='media/error.png' class='icon'></h2>");
				    print("MySQL non démarré ou erreur d'identifiant/mot de passe <br><br>Erreur N°".mysqli_connect_errno()." : <i>". mysqli_connect_error()."</i>)");
				} else {
					print("<h2>Serveur SQL <img src='media/ok.png' class='icon'></h2>");
					print("<span class='libelle'>Version MySQL :</span> ".mysqli_get_server_info($mysql));
					$query="SELECT table_schema AS dbName, count(*) AS nbTables, ROUND(SUM(data_length + index_length) / 1024, 2) AS 'ko' FROM information_schema.tables WHERE table_schema!='information_schema' GROUP BY table_schema";
					
					if ($result=mysqli_query($mysql, $query)) {
						$database="";
				        while($obj = $result->fetch_object()){
				            $database.="<p>Base <span class='show'>".$obj->dbName."</span> contenant <span class='show'>".$obj->nbTables."</span> table".($obj->nbTables>1 ? "s" : "")."</p>";
				        }				
					}
				
				
					print($database);
				}
				
				
				
				
				
				
			?>
	
			</div>
			
			<div class="module">
		
				<h2>phpMyAdmin <img src="media/ok.png" class="icon"></h2>
				<p><a href="http://localhost:4000/" target="_blank">Ouvrir phpMyAdmin</a></p>
			</div>
			
			
			
		</div>
		
		<div class="consignes">
			<p>Cette page apparait après l'installation de <i><b>webServerFull</b></i> sur l'adresse <span class="file">http://localhost:4001/</span>.</p>
			<p>Elle correspond au fichier <span class="file">index.php</span> dans le répertoire <span class="file">www</span> de votre projet Docker.</p>
			<p>Pour exécuter votre propre code, vous pouvez, au choix :<ul>
				<li>Modifier le contenu de <span class="file">www</span> pour y copier le code de votre projet web.</li>
				<li>Changer la ligne <span class="code">- ./www:/var/www/html/</span> du fichier <span class="file">docker-compose.yml</span> par <span class="code">- /chemin/de/l/app:/var/www/html/</span> et relancer la commande <span class="code">docker-compose up</span> dans le terminal.
</li>
			</ul>
			
		</div>
		
	
	
		<div class="avertissement">Cette application Docker est simplifiée pour un usage de développement local. Elle n'est pas pas sécurisée et ne doit pas être utilisée en production.</div>
		
		
		<div class="link">
			<a href="https://www.toutjavascript.com/livre/webserverfull.php" class="externe" target="_blank">Voir le projet source sur ToutJavaScript.com</a>
			
		</div>
	</body>
</html>
<?php

?>